Package org.apache.sysds.lops

## Enum MapMult.CacheType

- java.lang.Object
- - java.lang.Enum<MapMult.CacheType>
  - - org.apache.sysds.lops.MapMult.CacheType

All Implemented Interfaces:
  `Serializable`, `Comparable<MapMult.CacheType>`

Enclosing class:
  MapMult

    public static enum MapMult.CacheType
    extends Enum<MapMult.CacheType>

### Enum Constant Summary

Enum Constants
`LEFT`
`LEFT_PART`
`RIGHT`
`RIGHT_PART`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MapMult.CacheType` `getFlipped()`
`boolean` `isRight()`
`static MapMult.CacheType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MapMult.CacheType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RIGHT

    public static final MapMult.CacheType RIGHT

#### RIGHT_PART

    public static final MapMult.CacheType RIGHT_PART

#### LEFT

    public static final MapMult.CacheType LEFT

#### LEFT_PART

    public static final MapMult.CacheType LEFT_PART

### Method Detail

#### values

    public static MapMult.CacheType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MapMult.CacheType c : MapMult.CacheType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MapMult.CacheType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isRight

    public boolean isRight()

#### getFlipped

    public MapMult.CacheType getFlipped()